Debian Bug report logs - #368946
avra exits with status 0 even when errors occur

version graph

Package: avra; Maintainer for avra is Milan Kupcevic <milan@physics.harvard.edu>; Source for avra is src:avra.

Reported by: "Dwayne C. Litzenberger" <dlitz@dlitz.net>

Date: Fri, 26 May 2006 07:33:01 UTC

Severity: normal

Tags: patch

Found in version avra/1.0.1-0.1

Fixed in version 1.2.1-1

Done: Tobias Klauser <tklauser@access.unizh.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, torsten@debian.org, jeff@debian.org (Jefferson E. Noxon):
Bug#368946; Package avra. Full text and rfc822 format available.

Acknowledgement sent to "Dwayne C. Litzenberger" <dlitz@dlitz.net>:
New Bug report received and forwarded. Copy sent to torsten@debian.org, jeff@debian.org (Jefferson E. Noxon). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Dwayne C. Litzenberger" <dlitz@dlitz.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: avra exits with status 0 even when errors occur
Date: Fri, 26 May 2006 01:07:22 -0600
[Message part 1 (text/plain, inline)]
Package: avra
Version: 1.0.1-0.1
Severity: normal
Tags: patch

avra exits with status 0 (EXIT_SUCCESS), even when errors occur.  This 
makes it essentially unusable in a Makefile.  

I've attached a patch that fixes the problem.


-- System Information:
Debian Release: 3.1
 APT prefers testing
 APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.12.6-xen-skas3-v9-pre7-skas3-v9-pre7
Locale: LANG=C, LC_CTYPE=C (charmap=UTF-8) (ignored: LC_ALL set to en_CA.UTF-8)

Versions of packages avra depends on:
ii  libc6                         2.3.6-7    GNU C Library: Shared libraries

-- no debconf information

-- 
Dwayne C. Litzenberger <dlitz@dlitz.net>
[avra-1.0.1_exit_status_fix.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#368946; Package avra. Full text and rfc822 format available.

Acknowledgement sent to Tobias Klauser <tklauser@access.unizh.ch>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 368946@bugs.debian.org (full text, mbox):

From: Tobias Klauser <tklauser@access.unizh.ch>
To: 368946@bugs.debian.org
Subject: Bug not reproducable in recent upload
Date: Mon, 15 Jan 2007 21:10:22 +0100
[Message part 1 (text/plain, inline)]
It seems to me that this bug has gone in avra 1.2.1 which is in unstable
as of yesterday (at least for some architectures). With some quick tests
I was not able to reproduce this bug anymore and also the source changes
suggest that it was fixed.

Could you please verify that this bug does not exist anymore for you and
attach instructions on how to reproduce it in case it's not fixed?

Thanks,
Tobias
[signature.asc (application/pgp-signature, inline)]

Reply sent to Tobias Klauser <tklauser@access.unizh.ch>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Dwayne C. Litzenberger" <dlitz@dlitz.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 368946-done@bugs.debian.org (full text, mbox):

From: Tobias Klauser <tklauser@access.unizh.ch>
To: 368946-done@bugs.debian.org
Subject: Closed with avra 1.2.1
Date: Sat, 12 Jan 2008 12:02:54 +0100
Version: 1.2.1-1

I could not reproduce this with upstream versions since 1.2.1 (current
is 1.2.2), so I'm closing this.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Feb 2008 07:31:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:55:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.